const server = require('http').createServer();
const io = require('socket.io')(server);
let clients = [];
io.on('connection', client => {
    clients.push(client);
    console.log("connection");
    client.on('event', data => { clients.forEach((client) => client.send(data)) });
    client.on('disconnect', () => { clients.splice(clients.indexOf(client),1) });
});
server.listen(3000);